commit 33e4633c9001c3488986b04720b08fa53b59a506
Author: freddy77 <freddy77>
Date:   Tue Aug 18 15:04:13 2009 +0000

    small fix for empty strings

diff --git a/ChangeLog b/ChangeLog
index 99733bc..0afc8a0 100644
--- a/ChangeLog
+++ b/ChangeLog
@@ -1,3 +1,6 @@
+Tue Aug 18 17:04:42 CEST 2009    Frediano Ziglio <freddy77_A_gmail_D_com>
+	* src/ctlib/ct.c: small fix for empty strings
+
 Tue Aug 18 14:23:46 CEST 2009    Frediano Ziglio <freddy77_A_gmail_D_com>
 	* misc/freetds_autobuild:
 	- remove 0.64 support
@@ -1727,4 +1730,4 @@ Wed Jan  9 19:54:43 EST 2008	JK Lowden <jklowden@freetds.org>
 	* ChangeLog-0.82 added because of release
 	
 $FreeTDS$
-$Id: ChangeLog,v 1.2841 2009/08/18 12:23:41 freddy77 Exp $
+$Id: ChangeLog,v 1.2842 2009/08/18 15:04:13 freddy77 Exp $
diff --git a/src/ctlib/ct.c b/src/ctlib/ct.c
index 2ec1695..e7cc8f8 100644
--- a/src/ctlib/ct.c
+++ b/src/ctlib/ct.c
@@ -39,7 +39,7 @@
 #include "tdsstring.h"
 #include "replacements.h"
 
-TDS_RCSID(var, "$Id: ct.c,v 1.197 2009/06/25 20:51:17 freddy77 Exp $");
+TDS_RCSID(var, "$Id: ct.c,v 1.198 2009/08/18 15:04:13 freddy77 Exp $");
 
 
 static char * ct_describe_cmd_state(CS_INT state);
@@ -3958,7 +3958,7 @@ paraminfoalloc(TDSSOCKET * tds, CS_PARAM * first_param)
 						temp_datalen = (*(p->datalen) == CS_UNUSED) ? 0 : *(p->datalen);
 					}
 
-					if (temp_datalen && p->value) {
+					if (p->value) {
 						temp_value = p->value;
 					} else {
 						temp_value = NULL;

